
;=================================================
; Rainmeter configuration file
; Updated July 25, 2009
; By Jeffrey Morley
; Modified by Shiva
;=================================================

;[BEGIN CONFIG FILE]==============================

[Rainmeter]
Author=Jeffrey Morley, modified by Shiva

;==============================================================
;Please replace your location code for Weather.com below
;Set "Metric=" to m for metric measures or f for non-metric
;==============================================================

[Variables]
Location=LOXX0001
;Location=INXX0012
Metric=m
Font=Century Gothic
FontColor=255, 255, 255, 255
FontInactive=255, 255, 255, 240

;===============================================================

;[GATHER WEATHER INFO FROM RSS]=================================

[Current]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=3000
Url=http://xml.weather.com/weather/local/#Location#?cc=*&unit=#Metric#&dayf=0
RegExp="(?siU).*<locale>(.*)</locale>.*<ut>(.*)</ut>.*<ud>(.*)</ud>.*<us>(.*)</us>.*<up>(.*)</up>.*<ur>(.*)</ur>.*<loc id="(.*)">.*<dnam>(.*)</dnam>.*<tm>(.*)</tm>.*<lat>(.*)</lat>.*<lon>(.*)</lon>.*<sunr>(.*)</sunr>.*<suns>(.*)</suns>.*<zone>(.*)</zone>.*<cc>.*<lsup>(.*)</lsup>.*<obst>(.*)</obst>.*<tmp>(.*)</tmp>.*<flik>(.*)</flik>.*<t>(.*)</t>.*<icon>(.*)</icon>.*<bar>.*<r>(.*)</r>.*<d>(.*)</d>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<hmid>(.*)</hmid>.*<vis>(.*)</vis>.*<uv>.*<i>(.*)</i>.*<t>(.*)</t>.*<dewp>(.*)</dewp>.*<moon>.*<icon>(.*)</icon>.*<t>(.*)</t>.*"

[Today]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=3000
Url=http://xml.weather.com/weather/local/#Location#?cc=*&unit=#Metric#&dayf=1
RegExp="(?siU)<dayf>.*<lsup>(.*)</lsup>.*<day d="0" t="(.*)" dt="(.*)".*<hi>(.*)</hi>.*<low>(.*)</low>.*<sunr>(.*)</sunr>.*<suns>(.*)</suns>.*<part p="d">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*<part p="n">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*"

[Tomorrow]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=3000
Url=http://xml.weather.com/weather/local/#Location#?cc=*&unit=#Metric#&dayf=2
RegExp="(?siU)<day d="1" t="(.*)" dt="(.*)".*<hi>(.*)</hi>.*<low>(.*)</low>.*<sunr>(.*)</sunr>.*<suns>(.*)</suns>.*<part p="d">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*<part p="n">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*"

[DayAfter]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=3000
Url=http://xml.weather.com/weather/local/#Location#?cc=*&unit=#Metric#&dayf=3
RegExp="(?siU)<day d="2" t="(.*)" dt="(.*)".*<hi>(.*)</hi>.*<low>(.*)</low>.*<sunr>(.*)</sunr>.*<suns>(.*)</suns>.*<part p="d">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*<part p="n">.*<icon>(.*)</icon>.*<t>(.*)</t>.*<wind>.*<s>(.*)</s>.*<gust>(.*)</gust>.*<d>(.*)</d>.*<t>(.*)</t>.*<bt>(.*)</bt>.*<ppcp>(.*)</ppcp>.*<hmid>(.*)</hmid>.*"

;[Current]=========================================

[MeasureWeatherTemp]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Current]
StringIndex=17

[MeasureWeatherDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Current]
StringIndex=19
Substitute=" And ":" and ","Lgt.":"Light ","Snow/":"Snow & "

[MeasureWeatherIcon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Current]
StringIndex=20

[MeasureWeatherRealFeel]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Current]
StringIndex=18

;[TODAY]=====================================


[MeasureWeatherDesc1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=9
Substitute=" And ":" and "

[MeasureWeatherDay1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=2

[MeasureWeatherTemp1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=4
Substitute="N/A":"666"

[MeasureWeatherIcon1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=8

[CheckNATemp]
Measure=Calc
Formula=[MeasureWeatherTemp1]
IfBelowValue=665
IfBelowAction=!execute [!RainmeterHideMeter MeterNightTemp1][!RainmeterHideMeter MeterNightDay1][!RainmeterHideMeter MeterNightDesc1][!RainmeterHideMeter MeterNightIcon1][!RainmeterShowMeter MeterTemp1][!RainmeterShowMeter MeterDay1][!RainmeterShowMeter MeterDesc1][!RainmeterShowMeter MeterIcon1]
IfEqualValue=666
IfEqualAction=!execute [!RainmeterHideMeter MeterTemp1][!RainmeterHideMeter MeterDay1][!RainmeterHideMeter MeterDesc1][!RainmeterHideMeter MeterIcon1][!RainmeterShowMeter MeterNightTemp1][!RainmeterShowMeter MeterNightDay1][!RainmeterShowMeter MeterNightDesc1][!RainmeterShowMeter MeterNightIcon1]
DynamicVariables=1

;[TONIGHT]=====================================


[MeasureWeatherNightDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=18
Substitute=" And ":" and "

[MeasureWeatherNightTemp]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=5

[MeasureWeatherNightIcon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Today]
StringIndex=17

;[TOMORROW]=====================================

[MeasureWeatherDesc2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Tomorrow]
StringIndex=8
Substitute=" And ":" and "

[MeasureWeatherDay2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Tomorrow]
StringIndex=1

[MeasureWeatherTemp2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Tomorrow]
StringIndex=3

[MeasureWeatherIcon2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[Tomorrow]
StringIndex=7

;[DayAfter]=====================================

[MeasureWeatherDesc3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[DayAfter]
StringIndex=8
Substitute=" And ":" and "

[MeasureWeatherDay3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[DayAfter]
StringIndex=1

[MeasureWeatherTemp3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[DayAfter]
StringIndex=3

;D+3, weather icon, id=38
[MeasureWeatherIcon3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[DayAfter]
StringIndex=7

;[DISPLAY CURRENT]=================================

[MeterTemp]
MeasureName=MeasureWeatherTemp
Meter=STRING
X=328
Y=5
FontColor=#FontColor#
StringStyle=NORMAL
FontSize=36
StringAlign=RIGHT
StringEffect=Shadow
FontFace=#Font#
Antialias=1
Postfix="°"

[MeterDesc]
MeasureName=MeasureWeatherDesc
Meter=STRING
X=235
Y=10
FontColor=#FontColor#
FontSize=18
StringAlign=RIGHT
StringStyle=NORMAL
StringEffect=Shadow
FontFace=#Font#
Antialias=1

[MeterRealFeel]
MeasureName=MeasureWeatherRealFeel
Meter=STRING
X=235
Y=29r
FontColor=#FontColor#
FontSize=10
StringAlign=RIGHT
StringStyle=NORMAL
StringEffect=Shadow
FontFace=#Font#
Antialias=1
Text="Feels like %1°"

[MeterIconNA]
ImageName=na.png
Meter=IMAGE
H=30
W=30
X=340
Y=1
Hidden=1

[MeterIcon]
MeasureName=MeasureWeatherIcon
Meter=IMAGE
H=70
W=70
X=330
Y=0
Hidden=0

;[DISPLAY TODAY]=============================

[MeterTemp1]
MeasureName=MeasureWeatherTemp1
Meter=STRING
X=326
Y=75
FontColor=#FontInactive#
StringStyle=NORMAL
FontSize=30
StringAlign=RIGHT
FontFace=#Font#
Antialias=1
Postfix="°"
StringEffect=Shadow
Hidden=0

[MeterDay1]
;MeasureName=MeasureWeatherDay1
Meter=STRING
X=240
Y=80
FontColor=#FontInactive#
FontSize=14
StringAlign=RIGHT
StringStyle=NORMAL
FontFace=#Font#
Text="Today"
Antialias=1
StringEffect=Shadow
Hidden=0

[MeterDesc1]
MeasureName=MeasureWeatherDesc1
Meter=STRING
X=240
Y=100
FontColor=#FontInactive#
FontSize=10
StringAlign=RIGHT
StringStyle=NORMAL
FontFace=#Font#
Antialias=1
StringEffect=Shadow
Hidden=0

[MeterIcon1]
MeasureName=MeasureWeatherIcon1
Meter=IMAGE
H=50
W=50
X=340
Y=75
Hidden=0

[MeterNightTemp1]
MeasureName=MeasureWeatherNightTemp
Meter=STRING
X=326
Y=75
FontColor=#FontInactive#
StringStyle=NORMAL
FontSize=30
StringAlign=RIGHT
FontFace=#Font#
Antialias=1
Postfix="°"
StringEffect=Shadow
Hidden=1

[MeterNightDay1]
;MeasureName=MeasureWeatherDay1
Meter=STRING
X=240
Y=80
FontColor=#FontInactive#
FontSize=14
StringAlign=RIGHT
StringStyle=NORMAL
FontFace=#Font#
Text="Tonight"
Antialias=1
StringEffect=Shadow
Hidden=1

[MeterNightDesc1]
MeasureName=MeasureWeatherNightDesc
Meter=STRING
X=240
Y=100
FontColor=#FontInactive#
FontSize=10
StringAlign=RIGHT
StringStyle=NORMAL
FontFace=#Font#
Antialias=1
StringEffect=Shadow
Hidden=1

[MeterNightIcon1]
MeasureName=MeasureWeatherNightIcon
Meter=IMAGE
H=50
W=50
X=340
Y=75
Hidden=1

;[DISPLAY TOMORROW]=============================

[MeterTemp2]
MeasureName=MeasureWeatherTemp2
Meter=STRING
X=326
Y=135
FontColor=#FontInactive#
StringStyle=NORMAL
FontSize=30
StringAlign=RIGHT
FontFace=#Font#
Antialias=1
Postfix="°"
StringEffect=Shadow

[MeterDay2]
;MeasureName=MeasureWeatherDay2
Meter=STRING
X=240
Y=140
FontColor=#FontInactive#
FontSize=14
StringAlign=RIGHT
StringStyle=NORMAL
FontFace=#Font#
Text="Tomorrow"
Antialias=1
StringEffect=Shadow

[MeterDesc2]
MeasureName=MeasureWeatherDesc2
Meter=STRING
X=240
Y=160
FontColor=#FontInactive#
FontSize=10
StringAlign=RIGHT
StringStyle=NORMAL
FontFace=#Font#
Antialias=1
StringEffect=Shadow

[MeterIcon2]
MeasureName=MeasureWeatherIcon2
Meter=IMAGE
H=50
W=50
X=340
Y=135

;[DISPLAY DAY AFTER]=============================

[MeterTemp3]
MeasureName=MeasureWeatherTemp3
Meter=STRING
X=326
Y=195
FontColor=#FontInactive#
StringStyle=NORMAL
FontSize=30
StringAlign=RIGHT
FontFace=#Font#
Antialias=1
Postfix="°"
StringEffect=Shadow

[MeterDay3]
MeasureName=MeasureWeatherDay3
Meter=STRING
X=240
Y=200
FontColor=#FontInactive#
FontSize=14
StringAlign=RIGHT
StringStyle=NORMAL
FontFace=#Font#
Antialias=1
StringEffect=Shadow

[MeterDesc3]
MeasureName=MeasureWeatherDesc3
Meter=STRING
X=240
Y=220
FontColor=#FontInactive#
FontSize=10
StringAlign=RIGHT
StringStyle=NORMAL
FontFace=#Font#
Antialias=1
StringEffect=Shadow

[MeterIcon3]
MeasureName=MeasureWeatherIcon3
Meter=IMAGE
H=50
W=50
X=340
Y=195
